﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Charts;
using System.Windows.Data;

namespace OlapAxisToolTipWithAGS
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            DataChart.Series.CollectionChanged += new System.Collections.Specialized.NotifyCollectionChangedEventHandler(Series_CollectionChanged);
        }

        void Series_CollectionChanged(object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e)
        {
            if (e.NewItems != null)
            {
                foreach (Series series in e.NewItems)
                {
                    TextBlock tooltipText = new TextBlock();
                    tooltipText.SetBinding(TextBlock.TextProperty, new Binding("Item." + (series as AnchoredCategorySeries).ValueMemberPath));
                    TextBlock tooltipText1 = new TextBlock();
                    tooltipText1.SetBinding(TextBlock.TextProperty, new Binding("Series.Title"));

                    StackPanel toolTipContent = new StackPanel();
                    toolTipContent.Children.Add(tooltipText1);
                    toolTipContent.Children.Add(tooltipText);

                    series.ToolTip = toolTipContent;
                }
            }

        }
    }
}
